Updates the job_estimated_quantity object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "88e7b5d3-4b01-4605-aa67-02fa970917af",
"estimated_quantity": 2.0,
"article_id": "8e228bf9-e6a5-4e6e-a1b3-2f27cb078c9b",
"article_code": "sample string 4",
"article": {
"id": "71187669-79b3-4b78-89de-1305b105794f",
"article_category_id": "b2746cb5-b110-40f8-a74e-49ab34196e7e",
"article_category": {
"id": "c58f43f1-8adb-478f-84a3-a08399ba22fe",
"parent_id": "b0693405-f3c2-411c-94d9-7d2e47f0e244",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-06T17:57:28.1372704+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "230a0670-2be4-4061-b3d0-47fe499b94d1",
"article_group_1_code": "sample string 5",
"article_group_2_id": "4ca0e0f8-537c-4ff2-8986-52c9d3e6c6ed",
"article_group_2_code": "sample string 7",
"article_group_3_id": "39af2edc-2ff1-459f-8655-ac6455eb1882",
"article_group_3_code": "sample string 9",
"article_group_4_id": "22838b17-1b38-4d5c-805c-a5d62776c741",
"article_group_4_code": "sample string 11",
"article_group_5_id": "55c23d78-4709-427c-8ba7-69a0ff9fe564",
"article_group_5_code": "sample string 13",
"article_group_6_id": "2bf21edf-17c0-4890-aeec-e9d506aa5eef",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-06T17:57:28.1372704+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-06T17:57:28.1372704+00:00",
"date_update": "2026-11-06T17:57:28.1372704+00:00",
"modified_dateutc": "2026-11-06T17:57:28.1372704+00:00",
"article_color_id": "42408dd1-f474-4318-b846-29af5e58d01e",
"article_color_code": "sample string 38",
"article_color": {
"id": "27711b82-feae-42ed-8ab4-d48b58bbaf02",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-06T17:57:28.1372704+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "a05da2ec-bdf7-4661-a077-c8c89ec2d3fb",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "16331bfc-5f73-49c3-98d1-9f0f4b67c2ab",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "e8e59307-450a-4f9b-925e-8213243cf558",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "cb3d7784-01b9-4020-b33a-15e16cfdfd2f",
"_parent_id": "3c0613e2-61c3-47a8-92f8-ae67205e42e6",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "bc48fd02-4747-4bf5-a7df-6a87ec3aa3dc",
"project_reference_back_office": "sample string 5",
"project": {
"id": "7f734ab8-5d3d-4706-8422-0bef91ddbd23",
"_parent_id": "28d06940-3834-4a1b-a387-a1c5a7523ec8",
"root_parent_id": "a79ed0de-581b-4175-94dc-06d4fdb09105",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "c7464efc-cfca-4e80-819f-f7ba9761e65c",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "16832934-8b4b-4355-b3ca-dc7c5f417c1f",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "3ca16501-288a-4cde-a957-3e87aa663148",
"_parent_code": "sample string 6",
"sales_organization_id": "679057dd-ef9d-4592-b450-08dc71db7251",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "bc26a3f5-971c-4ddf-835c-1807959da648",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ba8eaf7c-1bd2-4c9d-acaf-81bf7d1da323",
"db_currency_id": "e7318825-89da-42de-b529-5001e724c39f",
"db_language_id": "09554b1d-ebae-40ba-9551-59add05bc4ce",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-06T17:57:28.1496957+00:00"
},
"modified_dateutc": "2026-11-06T17:57:28.1496957+00:00"
},
"equipment_model_id": "670c1133-91a0-48eb-99f2-9e3a0d5b4f92",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "7677e433-ae91-4ea9-a827-0c2f4882e5a5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "27a16c57-c93e-4cdb-9936-5f73d3433ed1",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "fa44e8f0-63fe-4652-9614-b8944a450336",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "03973259-811a-416e-9826-bd5751f80b7d",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "bc26a3f5-971c-4ddf-835c-1807959da648",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ba8eaf7c-1bd2-4c9d-acaf-81bf7d1da323",
"db_currency_id": "e7318825-89da-42de-b529-5001e724c39f",
"db_language_id": "09554b1d-ebae-40ba-9551-59add05bc4ce",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-06T17:57:28.1496957+00:00"
},
"modified_dateutc": "2026-11-06T17:57:28.1496957+00:00"
},
"equipment_family_id": "29b50322-bcf2-42ed-a9ee-ca1f38f39877",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "16832934-8b4b-4355-b3ca-dc7c5f417c1f",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "3ca16501-288a-4cde-a957-3e87aa663148",
"_parent_code": "sample string 6",
"sales_organization_id": "679057dd-ef9d-4592-b450-08dc71db7251",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "bc26a3f5-971c-4ddf-835c-1807959da648",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ba8eaf7c-1bd2-4c9d-acaf-81bf7d1da323",
"db_currency_id": "e7318825-89da-42de-b529-5001e724c39f",
"db_language_id": "09554b1d-ebae-40ba-9551-59add05bc4ce",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-06T17:57:28.1496957+00:00"
},
"modified_dateutc": "2026-11-06T17:57:28.1496957+00:00"
},
"date_in_production_since": "2026-11-06T17:57:28.1496957+00:00",
"date_out_of_production_since": "2026-11-06T17:57:28.1496957+00:00",
"date_end_support": "2026-11-06T17:57:28.1496957+00:00",
"sales_organization_id": "26154b99-11b2-4a61-87ec-83d1c8e26d42",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "bc26a3f5-971c-4ddf-835c-1807959da648",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ba8eaf7c-1bd2-4c9d-acaf-81bf7d1da323",
"db_currency_id": "e7318825-89da-42de-b529-5001e724c39f",
"db_language_id": "09554b1d-ebae-40ba-9551-59add05bc4ce",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-06T17:57:28.1496957+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-06T17:57:28.1496957+00:00"
},
"project_status_id": "e5fd3495-9f47-4bfc-9d69-43c34ede1071",
"project_status_code": "sample string 10",
"project_status": {
"id": "c3559f0f-be22-454f-bde9-738a212e726c",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "d42f9f7d-505d-48b1-9083-f01aa37c3c76",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "bc26a3f5-971c-4ddf-835c-1807959da648",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ba8eaf7c-1bd2-4c9d-acaf-81bf7d1da323",
"db_currency_id": "e7318825-89da-42de-b529-5001e724c39f",
"db_language_id": "09554b1d-ebae-40ba-9551-59add05bc4ce",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-06T17:57:28.1496957+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-06T17:57:28.1496957+00:00"
},
"company_id": "816646f0-901a-40c2-91e4-04b7f0eb305e",
"company_code": "sample string 12",
"db_address_id": "a54f6442-0296-441a-97dc-12cb9e62e5e5",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "93a93d68-a3a8-495c-a650-24f0c832aed7",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "69c32ea0-2b91-4140-b580-936dd89064bc",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-06T17:57:28.1653216+00:00",
"date_create": "2026-11-06T17:57:28.1653216+00:00",
"date_update": "2026-11-06T17:57:28.1653216+00:00",
"updated_by_user_id": "703e0b9d-8c2c-483e-a77e-fbded6b41a9b",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-06T17:57:28.1653216+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-06T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-06T17:57:28.1653216+00:00",
"date_last_job": "2026-11-06T17:57:28.1653216+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-06T17:57:28.1653216+00:00",
"modified_dateutc": "2026-11-06T17:57:28.1653216+00:00",
"is_mobile_installation": true
},
"job_type_id": "72bd9c9a-5d4c-4a23-ac44-6fed7c6a969c",
"job_type_code": "sample string 7",
"job_type": {
"id": "c0b0e59c-f2a7-4fb6-8f84-f5322b1a3b77",
"name": "sample string 2",
"sales_organization_id": "3882463f-0ca3-49ee-82ef-36f0684a75a4",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-06T17:57:28.1653216+00:00",
"code": "sample string 7"
},
"job_priority_id": "895fd66b-cd35-460b-9679-1cefed2197c3",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "911bab9d-393e-402f-8eea-74a4c0b1b97d",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "9a95dba0-f84b-4ab9-be42-07ff6252c712",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "bc26a3f5-971c-4ddf-835c-1807959da648",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ba8eaf7c-1bd2-4c9d-acaf-81bf7d1da323",
"db_currency_id": "e7318825-89da-42de-b529-5001e724c39f",
"db_language_id": "09554b1d-ebae-40ba-9551-59add05bc4ce",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-06T17:57:28.1496957+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-06T17:57:28.1653216+00:00"
},
"job_status_id": "f8f25445-2c4f-4305-a256-71427ec6f5ff",
"job_status_code": "sample string 11",
"db_address_id": "c5a9fa0e-03c2-4f6b-a191-7f6f4f6b935e",
"contact_id": "79667659-b978-4211-b815-9c74832816bf",
"requested_by_company_id": "40bd4646-7cf8-4975-a5ef-76aec7f99a12",
"requested_by_contact_id": "16e5ccc1-e965-4892-b586-b8085f738f4c",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-06T17:57:28.1653216+00:00",
"due_date": "2026-11-06T17:57:28.1653216+00:00",
"date_create": "2026-11-06T17:57:28.1653216+00:00",
"date_update": "2026-11-06T17:57:28.1653216+00:00",
"date_closed": "2026-11-06T17:57:28.1653216+00:00",
"suggested_user_id": "4991a051-2e19-484e-9b5a-471a1433a82c",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "30dc7160-50ab-4b40-8261-9efaa9823fc4",
"db_language_id": "57159016-dc06-4499-9267-98ca1c4d58ba",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-06T17:57:28.1653216+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "78a27f55-d319-4519-b352-aea6c2b91d1c",
"sales_organization": {
"id": "bc26a3f5-971c-4ddf-835c-1807959da648",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ba8eaf7c-1bd2-4c9d-acaf-81bf7d1da323",
"db_currency_id": "e7318825-89da-42de-b529-5001e724c39f",
"db_language_id": "09554b1d-ebae-40ba-9551-59add05bc4ce",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-06T17:57:28.1496957+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "ff2cb050-4244-4e01-b2da-7a7d24306286",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "6a0391ef-e067-4cb1-a5ca-6ab87ef43808",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-06T17:57:28.1653216+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "bb1539ef-b77a-4902-a3b4-860c761850f9"
},
"suggested_date_start": "2026-11-06T17:57:28.1653216+00:00",
"skill_id": "584ce633-a1ad-46b8-8625-b79f320d26a0",
"skill_code": "sample string 32",
"skill": {
"id": "3e62d6f4-07c6-4bf0-90df-d71ded1b328f",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "3656fedb-bca5-4a86-bf68-deec0a48a081",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "bc26a3f5-971c-4ddf-835c-1807959da648",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ba8eaf7c-1bd2-4c9d-acaf-81bf7d1da323",
"db_currency_id": "e7318825-89da-42de-b529-5001e724c39f",
"db_language_id": "09554b1d-ebae-40ba-9551-59add05bc4ce",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-06T17:57:28.1496957+00:00"
},
"modified_dateutc": "2026-11-06T17:57:28.1653216+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "1ccc0d7c-b2a2-4d90-8e12-09246ea22aab",
"date_reported_by_company": "2026-11-06T17:57:28.1653216+00:00",
"id2": 36,
"company_id": "266df746-2dc1-4153-87b9-971a9110cc5e",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "6cc7eb4f-c805-4527-ada0-4fe316aa7136",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-06T17:57:28.1653216+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-06T17:57:28.1653216+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.